summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Mueth <dan@eazel.com>2001-03-12 10:21:13 +0000
committerDan Mueth <dmueth@src.gnome.org>2001-03-12 10:21:13 +0000
commita4a220db312e99dc0f42faf733618fd607089a32 (patch)
treef0b47318932ef8c58e910820e744500498784732
parent72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e (diff)
downloadgnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.tar.gz
gnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.tar.xz
gnome-user-docs-a4a220db312e99dc0f42faf733618fd607089a32.zip
Update build stuff to include glossary and unix primer.
2001-03-12 Dan Mueth <dan@eazel.com> Update build stuff to include glossary and unix primer. * Makefile.am: * autogen.sh: * configure.in: * glossary/C/Makefile.am: * glossary/Makefile.am: * gnome-user-docs.spec.in: * unix-primer/C/Makefile.am: * unix-primer/Makefile.am: Fixed a missing tag: * introduction-to-gnome/C/introduction-to-gnome.sgml:
-rw-r--r--ChangeLog16
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh81
-rw-r--r--configure.in4
-rw-r--r--glossary/C/Makefile.am8
-rw-r--r--glossary/Makefile.am1
-rw-r--r--gnome-user-docs.spec.in62
-rw-r--r--introduction-to-gnome/C/introduction-to-gnome.sgml1
-rw-r--r--unix-primer/C/Makefile.am8
-rw-r--r--unix-primer/Makefile.am1
10 files changed, 153 insertions, 31 deletions
diff --git a/ChangeLog b/ChangeLog
index f1aebaf..d1202c2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,21 @@
2001-03-12 Dan Mueth <dan@eazel.com>
+ Update build stuff to include glossary and unix primer.
+
+ * Makefile.am:
+ * autogen.sh:
+ * configure.in:
+ * glossary/C/Makefile.am:
+ * glossary/Makefile.am:
+ * gnome-user-docs.spec.in:
+ * unix-primer/C/Makefile.am:
+ * unix-primer/Makefile.am:
+
+ Fixed a missing tag:
+ * introduction-to-gnome/C/introduction-to-gnome.sgml:
+
+2001-03-12 Dan Mueth <dan@eazel.com>
+
Setting up basics of build system. Still needs some tweaking.
* AUTHORS:
diff --git a/Makefile.am b/Makefile.am
index 87c39d9..9101771 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,5 +1,7 @@
SUBDIRS = \
introduction-to-gnome \
+ unix-primer \
+ glossary \
omf-install
EXTRA_DIST = gnome-user-docs.spec COPYING-DOCS
diff --git a/autogen.sh b/autogen.sh
index ec1d624..5e32c53 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,12 +4,81 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="General GNOME User Documentation"
+ORIGDIR=`pwd`
+cd $srcdir
-(test -f $srcdir/introduction-to-gnome/C/introduction-to-gnome.sgml) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level gnome directory"
- exit 1
+PROJECT=gdp-example1
+TEST_TYPE=-f
+FILE=Makefile.am
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $PROJECT."
+ echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $PROJECT."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
}
-. $srcdir/macros/autogen.sh
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+case $CC in
+*lcc | *lcc\ *) am_opt=--include-deps;;
+esac
+
+#echo "Running gettextize... Ignore non-fatal messages."
+# Hmm, we specify --force here, since otherwise things don't
+# get added reliably, but we don't want to overwrite intl
+# while making dist.
+#echo "no" | gettextize --copy --force
+
+echo "Running libtoolize"
+libtoolize --copy --force
+
+aclocal $ACLOCAL_FLAGS
+
+# optionally feature autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+
+automake -a $am_opt
+autoconf
+
+cd $ORIGDIR
+
+if [ "`whoami`" = "sopwith" ]; then
+ SOPWITH_FLAGS_HACK="--enable-fatal-warnings=no --enable-more-warnings=no"
+fi
+
+$srcdir/configure --enable-maintainer-mode "$@" $SOPWITH_FLAGS_HACK
+
+echo
+echo "Now type 'make' to compile $PROJECT."
diff --git a/configure.in b/configure.in
index 412a083..d883a4e 100644
--- a/configure.in
+++ b/configure.in
@@ -24,5 +24,9 @@ Makefile
gnome-user-docs.spec
introduction-to-gnome/Makefile
introduction-to-gnome/C/Makefile
+unix-primer/Makefile
+unix-primer/C/Makefile
+glossary/Makefile
+glossary/C/Makefile
omf-install/Makefile
])
diff --git a/glossary/C/Makefile.am b/glossary/C/Makefile.am
new file mode 100644
index 0000000..494eae1
--- /dev/null
+++ b/glossary/C/Makefile.am
@@ -0,0 +1,8 @@
+figs =
+docname = glossary
+lang = C
+omffile = glossary-C.omf
+sgml_ents =
+include $(top_srcdir)/sgmldocs.make
+dist-hook: app-dist-hook
+
diff --git a/glossary/Makefile.am b/glossary/Makefile.am
new file mode 100644
index 0000000..42ffacc
--- /dev/null
+++ b/glossary/Makefile.am
@@ -0,0 +1 @@
+SUBDIRS = C
diff --git a/gnome-user-docs.spec.in b/gnome-user-docs.spec.in
index 8042bb6..f3caab0 100644
--- a/gnome-user-docs.spec.in
+++ b/gnome-user-docs.spec.in
@@ -1,21 +1,29 @@
-%define version @VERSION@
-%define RELEASE 1
-%define rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
-%define prefix /usr
-
-Summary: General GNOME User Documentation
-Name: gnome-user-docs
-Version: %{version}
-Release: %{rel}
-Copyright: FDL
-Distribution: GNOME RPMS
-Source: %{name}-%{version}.tar.gz
-Group: Documentation
-BuildArch: noarch
-BuildRoot: %{_tmppath}/%{name}-buildroot
-Prefix: %{prefix}
-
-Requires: scrollkeeper >= @SCROLLKEEPER_REQUIRED@
+# Note that this is NOT a relocateable package
+
+%define name gnome-user-docs
+%define ver @VERSION@
+%define RELEASE 1
+%define rel %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
+%define prefix /usr
+%define mandir /usr/man
+%define datadir /usr/share
+%define sysconfdir /etc
+%define localstatedir /var/lib
+%define skreq @SCROLLKEEPER_REQUIRED@
+
+
+Summary: General GNOME User Documentation
+Name: %name
+Version: %ver
+Release: %RELEASE
+Copyright: FDL
+Distribution: GNOME RPMS
+Source: %{name}-%{version}.tar.gz
+Group: Documentation
+BuildArch: noarch
+BuildRoot: /var/tmp/%{name}-%{ver}-root
+
+Requires: scrollkeeper >= %skreq
%description
This package contains general GNOME user documentation which is not
@@ -28,27 +36,31 @@ directly associated with any particular GNOME application or package.
make
%install
-make prefix=$RPM_BUILD_ROOT/%{prefix} install
+rm -rf $RPM_BUILD_ROOT
+make prefix=$RPM_BUILD_ROOT%{prefix} \
+ datadir=$RPM_BUILD_ROOT%{datadir} \
+ mandir=$RPM_BUILD_ROOT%{mandir} \
+ sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
+ localstatedir=$RPM_BUILD_ROOT%{localstatedir} install
+
%clean
rm -rf $RPM_BUILD_ROOT
%post
-which scrollkeeper-update>/dev/null 2>&1 && scrollkeeper-update
-exit 0
+scrollkeeper-update
%postun
-which scrollkeeper-update>/dev/null 2>&1 && scrollkeeper-update
-exit 0
+scrollkeeper-update
%files
%defattr(-, root, root)
+%doc COPYING COPYING-DOCS AUTHORS README ChangeLog NEWS INSTALL
%{prefix}/share/gnome/help
-%{prefix}/share/omf/%{name}
+%{datadir}/omf/%{name}
%changelog
* Sun Mar 11 2001 Dan Mueth <dan@eazel.com>
- Update as we move to its own module
* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut
-
diff --git a/introduction-to-gnome/C/introduction-to-gnome.sgml b/introduction-to-gnome/C/introduction-to-gnome.sgml
index e255f39..b83d791 100644
--- a/introduction-to-gnome/C/introduction-to-gnome.sgml
+++ b/introduction-to-gnome/C/introduction-to-gnome.sgml
@@ -95,6 +95,7 @@
<para>
This guide describes Gnome 1.4 which the latest (as of February
2001) release of Gnome.
+ </para>
</sect1>
<!-- ==================Section: ======================== -->
diff --git a/unix-primer/C/Makefile.am b/unix-primer/C/Makefile.am
new file mode 100644
index 0000000..9d76688
--- /dev/null
+++ b/unix-primer/C/Makefile.am
@@ -0,0 +1,8 @@
+figs =
+docname = unix-primer
+lang = C
+omffile = unix-primer-C.omf
+sgml_ents =
+include $(top_srcdir)/sgmldocs.make
+dist-hook: app-dist-hook
+
diff --git a/unix-primer/Makefile.am b/unix-primer/Makefile.am
new file mode 100644
index 0000000..42ffacc
--- /dev/null
+++ b/unix-primer/Makefile.am
@@ -0,0 +1 @@
+SUBDIRS = C